CRMchat APIBeta
Telegram APIMessages

messages.getPeerSettings

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/messages.getPeerSettings

Get peer settings

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Get peer settings

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/messages.getPeerSettings" \  -H "Content-Type: application/json" \  -d '{    "params": {      "peer": {        "_": "inputPeerEmpty"      }    }  }'
{  "result": {    "_": "messages.peerSettings",    "settings": {      "_": "peerSettings",      "reportSpam": true,      "addContact": true,      "blockContact": true,      "shareContact": true,      "needContactsException": true,      "reportGeo": true,      "autoarchived": true,      "inviteMembers": true,      "requestChatBroadcast": true,      "businessBotPaused": true,      "businessBotCanReply": true,      "geoDistance": 0,      "requestChatTitle": "string",      "requestChatDate": 0,      "businessBotId": 0,      "businessBotManageUrl": "string",      "chargePaidMessageStars": "string",      "registrationMonth": "string",      "phoneCountry": "string",      "nameChangeDate": 0,      "photoChangeDate": 0    },    "chats": [      {        "_": "chatEmpty",        "id": 0      }    ],    "users": [      {        "_": "userEmpty",        "id": 0      }    ]  }}